Loading...
Searching...
No Matches
ConstTermReference< T > Class Template Reference

`#include <Poly.h>`

## Public Member Functions

| operator T () const
| ConstTermReference (poly p, ring r)
bool | isConstant () const

## Private Attributes

ring | r
poly | t

## Detailed Description

template<class T>
class ConstTermReference< T >

Definition at line 262 of file Poly.h.

## Constructor & Destructor Documentation

## ConstTermReference()

template<class T>

ConstTermReference< T >::ConstTermReference | ( | poly | p,
|  | ring | r )

inline

Definition at line 272 of file Poly.h.

{
this->t=p;
this->r=r;
}
ConstTermReference
Definition Poly.h:263
ConstTermReference::r
ring r
Definition Poly.h:265
ConstTermReference::t
poly t
Definition Poly.h:266

## Member Function Documentation

## isConstant()

template<class T>

bool ConstTermReference< T >::isConstant | ( |  | ) | const

inline

Definition at line 277 of file Poly.h.

{
return p_LmIsConstant(t,r);
}
p_LmIsConstant
static BOOLEAN p_LmIsConstant(const poly p, const ring r)
Definition p_polys.h:1025

## operator T()

template<class T>

ConstTermReference< T >::operator T | ( |  | ) | const

inline

Definition at line 268 of file Poly.h.

{
return T(p_Head(t,r),r);
}
T
STATIC_VAR jList * T
Definition janet.cc:30
p_Head
static poly p_Head(const poly p, const ring r)
copy the (leading) term of p
Definition p_polys.h:862

## Field Documentation

## r

template<class T>

ring ConstTermReference< T >::r

private

Definition at line 265 of file Poly.h.

## t

template<class T>

poly ConstTermReference< T >::t

private

Definition at line 266 of file Poly.h.

The documentation for this class was generated from the following file:

- Singular/dyn_modules/python/Poly.h